%global pypi_name podman
%global commitId 188eb21aa81cd7bb2cf71431d8b8c9419aabe6ef

%global common_description %{expand:
%{name} is a library of bindings to use the RESTful API for Podman.}
%global common_summary %{expand: RESTful API for Podman}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Epoch:          3
Version:        4.5.0
Release:        3%{?dist}
Summary:        %{common_summary}

License:        Apache-2.0
URL:            https://github.com/containers/podman-py
Source0:        python-podman-188eb21aa81cd7bb2cf71431d8b8c9419aabe6ef.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pyxdg  >= 0.26
BuildRequires:  python%{python3_pkgversion}-requests  >= 2.24
BuildRequires:  python%{python3_pkgversion}-tomli >= 1.2.3

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

Requires:       python%{python3_pkgversion}-pyxdg >= 0.26
Requires:       python%{python3_pkgversion}-requests >= 2.24
Requires:       python%{python3_pkgversion}-tomli >= 1.2.3
Requires:       python%{python3_pkgversion}-urllib3 >= 1.26.5

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -p1 -n python-%{pypi_name}-%{commitId}
rm -f ./pyproject.toml

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu May 18 2023 James Marshall <jamarsha@redhat.com> 3:4.5.0-3
- Initial release
